Summary:	General-purpose distributed lock manager
Summary(pl.UTF-8):	Zarządca rozproszonych blokad ogólnego przeznaczenia
Name:		dlm
Version:	4.0.9
Release:	1
License:	LGPL v2.1+, GPL v2
Group:		Libraries
Source0:	https://releases.pagure.org/dlm/%{name}-%{version}.tar.gz
# Source0-md5:	b05551993126679926a432ea5bdf9689
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.tmpfiles
Source4:	%{name}.conf
Patch0:		old_udev_dir.patch
URL:		http://www.sourceware.org/cluster/dlm/
BuildRequires:	corosync-devel >= 2.0
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	pacemaker-devel >= 1.1
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.644
BuildRequires:	systemd-devel
Requires:	%{name}-libs = %{version}-%{release}
Requires:	rc-scripts
Requires:	systemd-units >= 208-8
Requires(post,preun):	/sbin/chkconfig
Obsoletes:	cluster-dlm
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The DLM lock manager is a kernel-based VMS-like distributed lock
manager. It is general purpose and not specific to only GFS or CLVM.
Kernel and userspace locking API's are available.

%description -l pl.UTF-8
Zarządca blokad DLM to oparty na jądrze zarządca rozproszonych blokad
w stylu VMS. Jest ogólnego przeznaczenia, przeznaczonym nie tylko dla
GFS-a czy CLVM-a. Dostępne są API blokowania w jądrze i przestrzeni
użytkownika.

%package libs
Summary:	DLM libraries
Summary(pl.UTF-8):	Biblioteki DLM
Group:		Libraries
Obsoletes:	cluster-dlm-libs

%description libs
DLM libraries.

%description libs -l pl.UTF-8
Biblioteki DLM.

%package devel
Summary:	Header files and development documentation for DLM
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja programisty dla DLM-a
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Obsoletes:	cluster-dlm-devel

%description devel
Header files and development documentation for DLM.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja programisty dla DLM-a.

%prep
%setup -q
%patch0 -p1

%if "%{cc_version}" < "8"
%{__sed} -i -e 's/-fstack-clash-protection//' {dlm_controld,dlm_tool,fence,libdlm}/Makefile
%endif

%build
%{__make} \
	PREFIX=%{_prefix} \
	LIBNUM=%{_lib} \
	BINDIR=%{_sbindir} \
	LIBDIR=%{_libdir} \
	MANDIR=%{_mandir} \
	HDRDIR=%{_includedir} \
	CC="%{__cc} %{rpmcflags} %{rpmcppflags} %{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{systemdunitdir},/etc/{rc.d/init.d,sysconfig}} \
               $RPM_BUILD_ROOT%{_sysconfdir}/%{name} \
               $RPM_BUILD_ROOT{/var/run/dlm,%{systemdtmpfilesdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix} \
	LIBNUM=%{_lib} \
	BINDIR=%{_sbindir} \
	LIBDIR=%{_libdir} \
	MANDIR=%{_mandir} \
	HDRDIR=%{_includedir}

cp -p init/%{name}.service $RPM_BUILD_ROOT%{systemdunitdir}
install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
cp -p %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}
cp -p %{SOURCE3} $RPM_BUILD_ROOT%{systemdtmpfilesdir}/%{name}.conf
cp -p %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
%service %{name} restart
%systemd_post %{name}.service

%preun
if [ "$1" = "0" ]; then
	%service -q %{name} stop
	/sbin/chkconfig --del %{name}
fi
%systemd_preun %{name}.service

%postun
%systemd_reload

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.license
%attr(755,root,root) %{_sbindir}/dlm_controld
%attr(755,root,root) %{_sbindir}/dlm_stonith
%attr(755,root,root) %{_sbindir}/dlm_tool
%dir %{_sysconfdir}/%{name}
%verify(not md5 mtime size) %config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
/lib/udev/rules.d/51-dlm.rules
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%verify(not md5 mtime size) %config(noreplace) /etc/sysconfig/%{name}
%{_mandir}/man8/dlm_*.8*
%{_mandir}/man5/dlm.conf.5*
%{systemdunitdir}/%{name}.service
%{systemdtmpfilesdir}/%{name}.conf
%dir /var/run/dlm

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdlm.so.3.*
%attr(755,root,root) %ghost %{_libdir}/libdlm.so.3
%attr(755,root,root) %{_libdir}/libdlm_lt.so.3.*
%attr(755,root,root) %ghost %{_libdir}/libdlm_lt.so.3
%attr(755,root,root) %{_libdir}/libdlmcontrol.so.3.*
%attr(755,root,root) %ghost %{_libdir}/libdlmcontrol.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdlm.so
%attr(755,root,root) %{_libdir}/libdlm_lt.so
%attr(755,root,root) %{_libdir}/libdlmcontrol.so
%{_includedir}/libdlm.h
%{_includedir}/libdlmcontrol.h
%{_pkgconfigdir}/libdlm.pc
%{_pkgconfigdir}/libdlm_lt.pc
%{_pkgconfigdir}/libdlmcontrol.pc
%{_mandir}/man3/dlm_*.3*
%{_mandir}/man3/libdlm.3*
%changelog
* Sat May 30 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dlm.git;a=log;h=master

* Sat May 30 2020 Jakub Bogusz <qboosh@pld-linux.org> 792c442
- updated to 4.0.9; fence is now unconditional

* Tue Aug 01 2017 Jakub Bogusz <qboosh@pld-linux.org> 7a8ded5
- note on Source URL

* Sun Apr 16 2017 Jakub Bogusz <qboosh@pld-linux.org> 4cc6d71
- updated to 4.0.7

* Sun Oct 23 2016 Jakub Bogusz <qboosh@pld-linux.org> 8e47d1e
- updated to 4.0.6 release
- removed obsolete systemd-configfs patch

* Thu Apr 28 2016 Elan Ruusamäe <glen@delfi.ee> 1418868
- fix group for dlm-libs; adapter

* Wed Mar 30 2016 Bartek Szady <bszx@bszx.eu> 6b2d6ff
- {pre,post}un scripts fixed

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 6caab33
- rel 1

* Mon Jun 30 2014 Mariusz Mazur <mmazur@axeos.com> 5ec7640
- Up to snap 4283123f

* Tue May 27 2014 Mariusz Mazur <mmazur@axeos.com> b3661e8
- rel 2; fix dlm_tool status segfaulting

* Mon Jan 06 2014 Jacek Konieczny <jajcus@jajcus.net> 609143d
- Pull /sys/kernel/config mount when started via systemd

* Sun Sep 08 2013 Jakub Bogusz <qboosh@pld-linux.org> 81cbf29
- updated to 4.0.2

* Fri Jul 26 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 53779e9
- Version: 4.0.1

* Fri Nov 09 2012 Jacek Konieczny <jajcus@jajcus.net> ed04160
- Version: 4.0.0

* Tue Nov 06 2012 Jacek Konieczny <jajcus@jajcus.net> bdb4b59
- Use reboot by default instead of own hacks

* Fri Nov 02 2012 Jacek Konieczny <jkonieczny@eggsoft.pl> 0a090e0
- Startup notification for dlm_controld

* Fri Nov 02 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> 836bb7c
- BR: corosync-devel >= 2.0

* Fri Nov 02 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> a474fbd
- dlm_stonith BR fixed

* Fri Nov 02 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> 2819e04
- Release: 4

* Fri Nov 02 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> 2d4edd9
- Config file added

* Fri Nov 02 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> 968f440
- another dlm_stonith_reboot.patch ifx

